Skip site navigation (1) Skip section navigation (2)

BUG #3888: postmaster: misleading error message for illegal -B values

From: "Marti Raudsepp" <marti(at)juffo(dot)org>
To: pgsql-bugs(at)postgresql(dot)org
Subject: BUG #3888: postmaster: misleading error message for illegal -B values
Date: 2008-01-19 21:59:16
Message-ID: 200801192159.m0JLxGr5074827@wwwmaster.postgresql.org (view raw or flat)
Thread:
Lists: pgsql-bugs
The following bug has been logged online:

Bug reference:      3888
Logged by:          Marti Raudsepp
Email address:      marti(at)juffo(dot)org
PostgreSQL version: 8.3RC1
Operating system:   Linux AMD64
Description:        postmaster: misleading error message for illegal -B
values
Details: 

When launching postmaster with a small -B (number of buffers) value, it
reports the following error:
"postmaster: the number of buffers (-B) must be at least twice the number of
allowed connections (-N) and at least 16"

However, as of PostgreSQL 8.3, postmaster requires that the number of
buffers is at least (max_connections*2 + 6)

To reproduce the bug:
# sudo -u postgres postmaster -D $PGDATA -N 8 -B 16
postmaster: the number of buffers (-B) must be at least twice the number of
allowed connections (-N) and at least 16
# sudo -u postgres postmaster -D $PGDATA -N 8 -B 21
postmaster: the number of buffers (-B) must be at least twice the number of
allowed connections (-N) and at least 16

Specifying -B 22 works as expected.

Responses

pgsql-bugs by date

Next:From: Tanasiciuc Ilie-OvidiuDate: 2008-01-20 10:05:58
Subject: pgsql problem
Previous:From: Pavel StehuleDate: 2008-01-19 09:00:48
Subject: Re: Error happen when Compile C program

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group